| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | Static Public Member Functions | List of all members
wxDateTime::TimeZone Class Reference

`#include <wx/datetime.h>`

## Detailed Description

Class representing a time zone.

The representation is simply the offset, in seconds, from UTC.

## Public Member Functions

| TimeZone (TZ tz)
| Constructor for a named time zone. More...
| TimeZone (long offset=0)
| Constructor for the given offset in seconds. More...
long | GetOffset () const
| Return the offset of this time zone from UTC, in seconds. More...

## Static Public Member Functions

static TimeZone | Make (long offset)
| Create a time zone with the given offset in seconds. More...

## Constructor & Destructor Documentation

wxDateTime::TimeZone::TimeZone | ( | TZ | tz | ) |

Constructor for a named time zone.

wxDateTime::TimeZone::TimeZone | ( | long | offset = `0` | ) |

Constructor for the given offset in seconds.

## Member Function Documentation

long wxDateTime::TimeZone::GetOffset | ( |  | ) | const

Return the offset of this time zone from UTC, in seconds.

static TimeZone wxDateTime::TimeZone::Make | ( | long | offset | ) |

static

Create a time zone with the given offset in seconds.